import '//resources/cr_elements/cr_icon_button/cr_icon_button.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import type { PropertyValues } from '//resources/lit/v3_0/lit.rollup.js';
import type { PinnedToolbarActionState } from '/shared/toolbar_ui_api_data_model.mojom-webui.js';
declare const PinnedToolbarActionElementBase: typeof CrLitElement & (new (...args: any[]) => import("//resources/cr_components/help_bubble/help_bubble_mixin_lit.js").HelpBubbleMixinLitInterface) & (new (...args: any[]) => import("./toolbar_button.js").HelpBubbleAnchor);
export declare class PinnedToolbarActionElement extends PinnedToolbarActionElementBase {
    static get is(): string;
    static get styles(): import("//resources/lit/v3_0/lit.rollup.js").CSSResultGroup;
    render(): import("//resources/lit/v3_0/lit.rollup.js").TemplateResult<1>;
    static get properties(): {
        state: {
            type: ObjectConstructor;
        };
        trackedHighlighted: {
            type: BooleanConstructor;
        };
    };
    accessor state: PinnedToolbarActionState;
    private browserProxy_;
    private iconTable_;
    protected accessor trackedHighlighted: boolean;
    disconnectedCallback(): void;
    updated(changedProperties: PropertyValues<this>): void;
    protected getIronIcon_(): string | undefined;
    protected getIconStyle_(): string | undefined;
    protected onActionClick_(): void;
    private getContextMenuType_;
    protected getTooltip_(): string;
    protected onContextmenu_(e: Event): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'pinned-toolbar-action': PinnedToolbarActionElement;
    }
}
export {};
